﻿Type=StaticCode
Version=7.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
' --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ 
' 
' Best use case for "Firebase Invites": Share Content Between Users
' Don't worry if your users' friends don't have the app installed yet; 
' "Invites" and "Dynamic Links" can take care of that for you.
'
' 	"Firebase Invites" are an out-of-the-box solution for app referrals and sharing via email Or SMS. 
'
'		To customize the invitation user experience, or to generate links programmatically, use "Firebase Dynamic Links".
'			Source: --> https://firebase.googleblog.com/2017/09/whats-new-with-firebase-dynamic-links.html?m=1&_utm_source=1-2-2
'
'
'		 	"Firebase Dynamic Links" give you a single link that can send users either To your iOS Or Android app, 
'
'				If they have it installed, Or To the appropriate listing in the App Store Or on Google Play, If they don't. 
'				Even better than that, Dynamic Links will deep link your users To the content they were looking For, 
'				even If they had To install the app in the process.
'					Source: --> https://firebase.googleblog.com/2017/06/making-dynamic-links-easier.html
'
'
'						"Deep links" --> https://en.wikipedia.org/wiki/Mobile_deep_linking
'
'						 		In short, Deep Links let users jump between apps And pages using hyperlinks. Deep Links in apps use a special Type of hyperlink called a universal resource identifier (URI). 
'								For example, a user can be in the Facebook app, click a URI link To in-app content in Yelp, And the Yelp app will open up directly from the link. 
'								Deep Links And URIs make it easy For developers To create apps that work together seamlessly.
'								Deep Links let developers link To static in-app content. 
'									Source: --> https://www.cuttlesoft.com/deep-And-dynamic-linking-2016/
'
'
'						“Dynamic Links” are a special Type of "Deep Link"
'
'								They are a newer tool that lets developers link To platform-dependant content. 
'								For instance, a Dynamic Link will open a web page in a desktop browser, Or activate in-app content when opened in a smartphone Or tablet. 
'								This saves users the hassle of having To choose whether To open in an app Or in the browser, since the Dynamic Link will sense the device Type.
'								Dynamic Links let developers send users To pages even If they have To install an app before visiting it. The link’s context survives installation. 
'								If an app isn’t required To view the content associated with a Dynamic Link, the page will open in-browser instead.
'									Source: --> https://www.cuttlesoft.com/deep-And-dynamic-linking-2016/
'
'
' --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ --~ 
'
' 1. Start here for first impressions: 
'
'		--> https://firebase.google.com/docs/invites/
'
'				Key capabilities:
'					Rich sharing that's easy for users	
'					Rich sharing that's easy to implement	
'					Invitations that survive the installation process	
'
'
'
' 2. Send And Receive Firebase Invites from Your Android App 
'
'		--> https://firebase.google.com/docs/invites/android
'
'			Send invitations in JAVA:
'						Private void onInviteClicked() {
'						    Intent intent = new AppInviteInvitation.IntentBuilder(getString(R.string.invitation_title))
'						            .setMessage(getString(R.string.invitation_message))
'						            .setDeepLink(Uri.parse(getString(R.string.invitation_deep_link)))
'						            .setCustomImage(Uri.parse(getString(R.string.invitation_custom_image)))
'						            .setCallToActionText(getString(R.string.invitation_cta))
'						            .build();
'						    startActivityForResult(intent, REQUEST_INVITE);
'						}
'
'
'
' 3. The Firebase Invites Quickstart project in JAVA
'
'		--> https://github.com/firebase/quickstart-android/tree/master/invites
'
'			The Firebase Invites Android quickstart demonstrates how to enable your users to share your app with people they know.
'
'
'
'
' 4. Firebase Android codelab
'
' 		--> https://codelabs.developers.google.com/codelabs/firebase-android/#11
'			
'			Send Install Invites
'
'
'
' 5. Debugging Dynamic Links
'
' 		--> https://firebase.google.com/docs/dynamic-links/debug
'
'			Common errors And warnings
'
'				Android app lacks SHA256. AppLinks Is Not enabled For the app.
'				To use Android App Links with your app, you must create a SHA256 certificate.
'
'
'
'
' -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
' (( This module is intended for informations around "Firebase Invites"  ))
' -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
Sub Process_Globals
	' Don't remove me
End Sub